import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IGetEntity } from 'totvs-log-base-foundation';
import { IUnidade } from '../entities/unidade.interface';
import { IUnidadeConfig } from './../entities/unidade-config.interface';
export declare class UnidadeGetByIdService implements IGetEntity<IUnidade> {
    private httpClient;
    private _url;
    readonly url: string;
    private mappedById;
    constructor(httpClient: HttpClient, unidadeConfig: IUnidadeConfig);
    Get(unidadeId: string): Observable<IUnidade>;
}
