import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot, UrlTree } from '@angular/router';
import { IUnidadeConfig } from '../entities/unidade-config.interface';
import { UnidadeService } from './unidade.service';
/**
 * Implementação de guard para identificação da unidade
 */
export declare class UnidadeGuard implements CanActivate {
    private router;
    private servicoUnidade;
    private unidadeConfig;
    constructor(router: Router, servicoUnidade: UnidadeService, unidadeConfig: IUnidadeConfig);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean | UrlTree>;
    private navegarParaRotaUnidadeNaoEncontrada;
    private navegarParaRotaErroBuscarUnidade;
}
